Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class HL7ProjectElementImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.HL7ProjectElementImpl

All Implemented Interfaces:
  com.stc.model.common.ProjectElement, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  ObjectTypeDefinitionImpl

    public abstract class HL7ProjectElementImpl

extends HL7ObjectImpl
implements com.stc.model.common.ProjectElement

Base implementation of HL7 Project Element.

Version:
  $Revision: 1.3 $
Author:
  nang

Field Summary

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Constructor Summary
`HL7ProjectElementImpl()` Constructs an instance of HL7ProjectElementImpl.
`HL7ProjectElementImpl(java.lang.String name)` Construct a base project element with a name

Method Summary
`com.stc.model.common.Project` | `getParentProject()`
`abstract java.lang.String` | `getProjectElementType()`
`void` | `setParentProject(com.stc.model.common.Project project)`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, setDescription, setName`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### HL7ProjectElementImpl

    public HL7ProjectElementImpl()
                          throws com.stc.repository.RepositoryException

  Constructs an instance of HL7ProjectElementImpl.

  Throws:
    `com.stc.repository.RepositoryException`

### HL7ProjectElementImpl

    public HL7ProjectElementImpl(java.lang.String name)
                          throws com.stc.repository.RepositoryException

  Construct a base project element with a name

  Parameters:
    `name` - a name
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed

Method Detail

### getProjectElementType

    public abstract java.lang.String getProjectElementType()
                                                    throws com.stc.repository.RepositoryException

  Specified by:
    `getProjectElementType` in interface `com.stc.model.common.ProjectElement`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.getProjectElementType()`

### getParentProject

    public com.stc.model.common.Project getParentProject()
                                                  throws com.stc.repository.RepositoryException

  Specified by:
    `getParentProject` in interface `com.stc.model.common.ProjectElement`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.getParentProject()`

### setParentProject

    public void setParentProject(com.stc.model.common.Project project)
                          throws com.stc.repository.RepositoryException

  Specified by:
    `setParentProject` in interface `com.stc.model.common.ProjectElement`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.setParentProject(Project)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD